<?php

namespace App\Exports;

use App\Models\User;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithMapping;
use Maatwebsite\Excel\Concerns\WithColumnFormatting;
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;

class PegawaiExport implements FromQuery, WithColumnFormatting, WithMapping, WithHeadings, ShouldAutoSize
{
    use Exportable;

    private $i = 1;

    public function __construct()
    {
        
    }

    public function query()
    {
        return User::query()->where('menuroles', 'pegawai')->where('status', 1);
    }

    public function columnFormats(): array
    {
        return [
            'A' => NumberFormat::FORMAT_NUMBER,
            'B' => '0',
            'C' => NumberFormat::FORMAT_TEXT,
            'D' => NumberFormat::FORMAT_TEXT,
            'E' => NumberFormat::FORMAT_NUMBER
        ];
    }

    /**
    * @var $softreserve
    */
    public function map($pegawai): array
    {
        return [
            $this->i++,
            "'".$pegawai->no_pegawai,
            $pegawai->name,
            $pegawai->jabatan,
            0,
        ];
    }

    public function headings(): array
    {
        return [
           ['No', 'NIP / No. Pegawai', 'Nama', 'Jabatan' ,'Nominal'],
        ];
    }
}
