<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Spatie\DbDumper\Databases\MySql;
use PDO;

class BackupController extends Controller
{
    public function index()
    {
        return view('dashboard.database.index');
    }
    
    public function backup()
    {
        $pathToFile = 'backup-'.date('Y-m-d H:i:s').'.sql';
        MySql::create()
            ->setDbName(config('database.connections.mysql.database'))
            ->setUserName(config('database.connections.mysql.username'))
            ->setPassword(config('database.connections.mysql.password'))
            ->dumpToFile($pathToFile);

        return response()->download($pathToFile);
    }

    public function restore(Request $request) 
    {
        $request->validate([
            'sql' => 'required'
        ]);

        try {
            $host = env('DB_HOST');
            $username = env('DB_USERNAME');
            $pass = env('DB_PASSWORD');
            $db = env('DB_DATABASE');
            
            $dbh= new PDO("mysql:host=$host;dbname=$db", $username, $pass);
            $dbh->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
            $query = file_get_contents($request['sql']);
            $dbh->exec($query);

            return redirect()->back()->with('success', 'Database berhasil direstore');
        } catch (\Execption $e) {
            return redirect()->back()->with('error', $e->getMessage());
        }
    }
}
