<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\JenisPotongan;
use App\Models\SalarySlip;
use App\Models\Instansi;
use App\Models\RiwayatPegawai;
use App\Models\Pangkat;
use Illuminate\Http\Request;
use App\Models\Promo;
use DB;

class DashboardController extends Controller
{
    public function index()
    {
        $jumlahPegawaiAktif = User::where('menuroles', 'pegawai')
                                ->where('status', 1)
                                ->count();
        $jumlahJenisPotongan = JenisPotongan::count();
        $jumlahInstasi = Instansi::count();
        $jumlahDaftarDicetak = SalarySlip::count();
        $pegawaiByGender = User::where('menuroles', 'pegawai')
                                ->where('status', 1)
                                ->select([
                                    'gender',
                                    DB::raw('count(id) as jumlah')
                                ])
                                ->groupBy('gender')
                                ->orderBy('gender')
                                ->get()->pluck('jumlah')->toArray();
        // $riwayatByPangkat = RiwayatPegawai::where('status', 1)
        //                                 ->join('pangkats', 'pangkats.id', '=', 'riwayat_pegawai.pangkat_id')
        //                                 ->groupBy('pangkat_id')
        //                                 ->get();
                                        // dd($riwayatByPangkat);
        $promoImages = Promo::where('active', 1)->select('id', 'image')->get();
        return view('dashboard.homepage', 
            compact('promoImages', 'pegawaiByGender', 'jumlahPegawaiAktif', 'jumlahJenisPotongan',
                'jumlahInstasi', 'jumlahDaftarDicetak'
            ));
    }

    public function getPromo(Request $request, $id) {
        if($request->ajax()) {
            $promo = Promo::where('id', $id)->select('image', 'description', 'kontak')->first();
            return response()->json($promo);
        }
    }
}
