<?php

namespace App\Http\Controllers;

use App\Models\JenisPenambahan;
use Illuminate\Http\Request;

class JenisPenambahanController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $penambahans = JenisPenambahan::select('id', 'name', 'institution_name', 'desc')->orderBy('name', 'asc')->get();
        return view('dashboard.jenis_penambahan.index', [
            'penambahans' => $penambahans
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('dashboard.jenis_penambahan.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validate = $request->validate([
            'name' => 'required'
        ]);
        $JenisPenambahan = new JenisPenambahan();
        $JenisPenambahan->name = $request['name'];
        $JenisPenambahan->institution_name = $request['institution_name'];
        $JenisPenambahan->desc = $request['desc'];
        $JenisPenambahan->save();
        return redirect()->route('jenis-penambahan.index')->with('success', 'Jenis penambahan '.$JenisPenambahan->name.' berhasil dibuat');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\JenisPenambahan  $JenisPenambahan
     * @return \Illuminate\Http\Response
     */
    public function show(JenisPenambahan $JenisPenambahan)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\JenisPenambahan  $JenisPenambahan
     * @return \Illuminate\Http\Response
     */
    public function edit(JenisPenambahan $JenisPenambahan)
    {
        return view('dashboard.jenis_penambahan.edit', ['JenisPenambahan' => $JenisPenambahan]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\JenisPenambahan  $JenisPenambahan
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, JenisPenambahan $JenisPenambahan)
    {
        $validate = $request->validate([
            'name' => 'required'
        ]);
        $JenisPenambahan->name = $request['name'];
        $JenisPenambahan->institution_name = $request['institution_name'];
        $JenisPenambahan->desc = $request['desc'];
        $JenisPenambahan->save();
        return redirect()->route('jenis-penambahan.index')->with('success', 'Jenis penambahan '.$JenisPenambahan->name.' berhasil diubah');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\JenisPenambahan  $JenisPenambahan
     * @return \Illuminate\Http\Response
     */
    public function destroy(JenisPenambahan $JenisPenambahan)
    {
        $name = $JenisPenambahan->name;
        $JenisPenambahan->delete();
        return redirect()->back()->with('success', 'Jenis penambahan '.$name.' berhasil dihapus');
    }
}
