<?php

namespace App\Http\Controllers;

use App\Models\JenisPotongan;
use Illuminate\Http\Request;

class JenisPotonganController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $potongans = JenisPotongan::select('id', 'name', 'institution_name', 'desc')->orderBy('name', 'asc')->get();
        return view('dashboard.jenis_potongan.index', [
            'potongans' => $potongans
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('dashboard.jenis_potongan.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validate = $request->validate([
            'name' => 'required'
        ]);
        $jenisPotongan = new JenisPotongan();
        $jenisPotongan->name = $request['name'];
        $jenisPotongan->institution_name = $request['institution_name'];
        $jenisPotongan->desc = $request['desc'];
        $jenisPotongan->save();
        return redirect()->route('jenis-potongan.index')->with('success', 'Jenis potongan '.$jenisPotongan->name.' berhasil dibuat');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\JenisPotongan  $jenisPotongan
     * @return \Illuminate\Http\Response
     */
    public function show(JenisPotongan $jenisPotongan)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\JenisPotongan  $jenisPotongan
     * @return \Illuminate\Http\Response
     */
    public function edit(JenisPotongan $jenisPotongan)
    {
        return view('dashboard.jenis_potongan.edit', ['jenisPotongan' => $jenisPotongan]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\JenisPotongan  $jenisPotongan
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, JenisPotongan $jenisPotongan)
    {
        $validate = $request->validate([
            'name' => 'required'
        ]);
        $jenisPotongan->name = $request['name'];
        $jenisPotongan->institution_name = $request['institution_name'];
        $jenisPotongan->desc = $request['desc'];
        $jenisPotongan->save();
        return redirect()->route('jenis-potongan.index')->with('success', 'Jenis potongan '.$jenisPotongan->name.' berhasil diubah');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\JenisPotongan  $jenisPotongan
     * @return \Illuminate\Http\Response
     */
    public function destroy(JenisPotongan $jenisPotongan)
    {
        $name = $jenisPotongan->name;
        $jenisPotongan->delete();
        return redirect()->back()->with('success', 'Jenis potongan '.$name.' berhasil dihapus');
    }
}
