<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Angsuran extends Model
{
    use HasFactory;
    protected $table = 'angsurans';
    protected $guarded = ['id'];
    protected $fillable = [
        'pegawai_id',
        'potongan_type_id',
        'bulan',
        'tahun',
        'pegawai_nama',
        'pegawai_kode',
        'pegawai_alamat',
        'surat_dasar_pemotongan',
        'plafon',
        'jangka_waktu',
        'jatuh_tempo',
        'angsuran_cicilan_ke',
        'angsuran_pokok',
        'angsuran_bunga',
        'angsuran_total',
        'saldo_akhir',
        'created_by'
    ];

    public function pegawai()
    {
        return $this->belongsTo(User::class, 'pegawai_id');
    }

    public function jenis()
    {
        return $this->belongsTo(JenisPotongan::class, 'potongan_type_id');
    }
}
