<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RiwayatPegawai extends Model
{
    use HasFactory;
    protected $table = "riwayat_pegawai";
    protected $fillable = [
        'user_id',
        'jabatan_id',
        'pangkat_id', 
        'start_date',
        'end_date',
        'gaji_pokok',
        'tunjangan',
        'uang_makan',
        'uang_transportasi',
        'status'
    ];

    public function pegawai()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function jabatan()
    {
        return $this->belongsTo(Jabatan::class);
    }

    public function pangkat()
    {
        return $this->belongsTo(Pangkat::class);
    }

    public function salary_slip()
    {
        return $this->hasMany(SalarySlip::class);
    }

    public function jabatan_name()
    {
        return $this->jabatan->name;
    }

    public function pangkat_name()
    {
        return $this->pangkat->name;
    }
}
