<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SalarySlip extends Model
{
    use HasFactory;
    protected $table = 'salary_slips';
    protected $fillable = [
        'user_id',
        'riwayat_pegawai_id',
        'no',
        'type',
        'year',
        'month',
        'document_date',
        'approve_kasubag',
        'approve_pegawai',
        'status'
    ];

    public function pegawai()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function riwayat()
    {
        return $this->belongsTo(RiwayatPegawai::class, 'riwayat_pegawai_id');
    }

    public function potongans()
    {
        return $this->hasMany(SalaryPotongan::class, 'salary_slip_id');
    }

    public function penambahans()
    {
        return $this->hasMany(SalaryPenambahan::class, 'salary_slip_id');
    }
}
