<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRiwayatPegawaiTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('riwayat_pegawai', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('user_id')->constrained('users')->nullable();
            $table->unsignedInteger('jabatan_id');
            $table->unsignedInteger('pangkat_id');
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->decimal('gaji_pokok', 12, 2)->nullable();
            $table->decimal('tunjangan', 12, 2)->nullable();
            $table->decimal('uang_makan', 12, 2)->nullable();
            $table->decimal('uang_transportasi', 12, 2)->nullable();
            $table->unsignedTinyInteger('status')->default(1)->nullable();
            $table->timestamps();

            $table->foreign('jabatan_id')->references('id')->on('jabatans');
            $table->foreign('pangkat_id')->references('id')->on('pangkats');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('riwayat_pegawai');
    }
}
