<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalarySlips extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salary_slips', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('user_id')->constrained('users')->nullable();
            $table->foreignId('riwayat_pegawai_id')->constrained('riwayat_pegawai')->nullable();
            $table->string('no', 100);
            $table->unsignedInteger('type');
            $table->year('year');
            $table->unsignedInteger('month');
            $table->date('document_date');
            $table->unsignedTinyInteger('approve_kasubag')->default(0)->nullable();
            $table->unsignedTinyInteger('approve_pegawai')->default(0)->nullable();
            $table->unsignedInteger('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_slips');
    }
}
