<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalaryPotongans extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salary_potongans', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('salary_slip_id')->constrained('salary_slips')->nullable();
            $table->unsignedInteger('potongan_type_id')->nullable();
            $table->decimal('amount', 12, 2)->nullable();
            $table->text('desc')->nullable();
            $table->string('ref_no')->nullable();
            $table->timestamps();

            $table->foreign('potongan_type_id')->references('id')->on('potongan_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_potongans');
    }
}
