<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTableAngsurans extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('angsurans', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('pegawai_id');
            $table->integer('bulan');
            $table->year('tahun');
            $table->string('pegawai_nama')->nullable();
            $table->string('pegawai_kode')->nullable();
            $table->string('pegawai_alamat')->nullable();
            $table->string('surat_dasar_pemotongan')->nullable();
            $table->decimal('plafon', 12, 2)->default(0);
            $table->integer('jangka_waktu');
            $table->integer('angsuran_cicilan_ke');
            $table->decimal('angsuran_pokok', 12, 2)->default(0);
            $table->decimal('angsuran_bunga', 12, 2)->default(0);
            $table->decimal('angsuran_total', 12, 2)->default(0);
            $table->decimal('saldo_akhir', 12, 2)->default(0);
            $table->bigInteger('created_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('angsurans');
    }
}
