<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTableKomponenPenambahanGaji extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('penambahan_types', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->string('institution_name')->nullable();
            $table->text('desc')->nullable();
            $table->timestamps();
        });

        Schema::create('penambahan_internal', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('pegawai_id');
            $table->integer('bulan');
            $table->year('tahun');
            $table->integer('penambahan_type_id')->nullable();
            $table->decimal('nominal', 12, 2)->default(0);
            $table->bigInteger('created_by');
            $table->timestamps();
        });

        Schema::create('salary_penambahans', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->foreignId('salary_slip_id')->constrained('salary_slips')->nullable();
            $table->unsignedInteger('penambahan_type_id')->nullable();
            $table->decimal('amount', 12, 2)->nullable();
            $table->text('desc')->nullable();
            $table->string('ref_no')->nullable();
            $table->timestamps();

            $table->foreign('penambahan_type_id')->references('id')->on('penambahan_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_penambahans');
        Schema::dropIfExists('penambahan_internal');
        Schema::dropIfExists('penambahan_types');
    }
}
