@extends('dashboard.authBase')

@section('content')
    <div class="row justify-content-center min-vh-100 d-flex no-gutters" style="height: 100% !important; flex:1 1 auto;">
      <div class="col-md-12 col-lg-3 justify-content-center">
        <div class="card p-1 h-100">
          <div class="card-header">
            <img class="mt-3 mb-2" src="/images/logo.png" width="100px" height="auto" style="margin-left:auto; margin-right:auto; align-items:center; display: flex;">  
            <h1 class="text-center">SITA POLAN</h1>
            <h2 class="text-center" style="font-size: 1.7rem !important;">Sistem Informasi Pertanggungjawaban Potongan Penghasilan ASN</h2>
            <h3 class="text-center mb-3" style="font-size: 1.25rem !important;">{{ env('APP_COMPANY','')}}</h3>
          </div>
          <div class="card-body" style="background: transparent;">
            {{-- <h1 class="mb-4">Login</h1> --}}
            <form method="POST" action="{{ route('login') }}">
                @csrf
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <svg class="c-icon">
                        <use xlink:href="assets/icons/coreui/free-symbol-defs.svg#cui-user"></use>
                      </svg>
                    </span>
                  </div>
                  {{-- <input class="form-control" type="text" placeholder="{{ __('E-Mail Address') }}" name="email" value="{{ old('email') }}" required autofocus> --}}
                  <input class="form-control" type="text" placeholder="{{ __('Username') }}" name="username" value="{{ old('username') }}" required autofocus>
                </div>
                @error('username')
                  <div class="alert alert-danger py-1 px-2 mb-2">{{ $message }}</div>
                @enderror
                <div class="input-group mb-4">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                    <svg class="c-icon">
                      <use xlink:href="assets/icons/coreui/free-symbol-defs.svg#cui-lock-locked"></use>
                    </svg>
                  </span>
                </div>
                <input class="form-control" type="password" placeholder="{{ __('Password') }}" name="password" required>
                </div>
                <div class="row">
                <div class="col-6">
                    <button class="btn btn-success px-4" type="submit">{{ __('Login') }}</button>
                </div>
                </form>
                <div class="col-6 text-right">
                    <a href="{{ route('password.request') }}" class="btn btn-link px-0">{{ __('Forgot Password?') }}</a>
                </div>
                </div>
          </div>
        </div>
      </div>
      <div class="d-none d-md-block col-md-12 col-lg-9" style="background-image: url('/images/bg.jpg'); background-size: cover; background-position: center;"></div>
    </div>

@endsection

@section('javascript')

@endsection