@extends('dashboard.authBase')

@section('content')

    <div class="container">
      <div class="row justify-content-start">
        <div class="col-lg-4 col-md-5">
          <div class="card-group">
            <div class="card p-1" style="flex-grow: 1.2">
              <div class="card-header">
                <img src="/images/logo.png" width="100px" height="auto" style="margin-left:auto; margin-right:auto; align-items:center; display: flex;">  
                <h1 class="text-center" style="font-size: 1.7rem !important;">{{ env('APP_DESC', 'Sistem Informasi Potongan Penghasilan ASN') }}</h1>
                <h3 class="text-center" style="font-size: 1.25rem !important;">{{ env('APP_COMPANY', '') }}</h3>
              </div>
              <div class="card-body" style="background: transparent;">
                {{-- <h1 class="mb-4">Login</h1> --}}
                <form method="POST" action="{{ route('login') }}">
                    @csrf
                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <span class="input-group-text">
                          <svg class="c-icon">
                            <use xlink:href="assets/icons/coreui/free-symbol-defs.svg#cui-user"></use>
                          </svg>
                        </span>
                      </div>
                      {{-- <input class="form-control" type="text" placeholder="{{ __('E-Mail Address') }}" name="email" value="{{ old('email') }}" required autofocus> --}}
                      <input class="form-control" type="text" placeholder="{{ __('Username') }}" name="username" value="{{ old('username') }}" required autofocus>
                    </div>
                    @error('username')
                      <div class="alert alert-danger py-1 px-2 mb-2">{{ $message }}</div>
                    @enderror
                    <div class="input-group mb-4">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <svg class="c-icon">
                          <use xlink:href="assets/icons/coreui/free-symbol-defs.svg#cui-lock-locked"></use>
                        </svg>
                      </span>
                    </div>
                    <input class="form-control" type="password" placeholder="{{ __('Password') }}" name="password" required>
                    </div>
                    <div class="row">
                    <div class="col-6">
                        <button class="btn btn-success px-4" type="submit">{{ __('Login') }}</button>
                    </div>
                    </form>
                    <div class="col-6 text-right">
                        <a href="{{ route('password.request') }}" class="btn btn-link px-0">{{ __('Forgot Password?') }}</a>
                    </div>
                    </div>
              </div>
            </div>
            {{-- <div class="card text-white bg-primary py-5 d-md-down-none align-middle" style="background-color: #09814A !important">
              <div class="card-body text-center d-flex flex-column justify-content-center">
                  <h2 class="font-weight-bold">Sistem Informasi Potongan Penghasilan ASN</h2>
              </div>
            </div> --}}
          </div>
        </div>
      </div>
    </div>

@endsection

@section('javascript')

@endsection