@extends('dashboard.base')

@section('content')
  <div class="container-fluid">
    @include('dashboard.shared.alert')
          <div class="animated fadeIn">
            <div class="row">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                      <h4 class="m-0">Users</h4>
                      <a href="{{ route('users.create') }}" class="btn btn-primary"><span class="cil-plus"></span> Tambah</a>
                    </div>
                    <div class="card-body">
                      <div class="table-responsive table-responsive-sm">
                        <table id="table" class="table table-responsive-sm table-striped table-bordered">
                        <thead>
                          <tr>
                            <th style="width: 10%">No</th>
                            <th style="width: 30%">Username</th>
                            <th>E-mail</th>
                            <th>Roles</th>
                            <th style="width: 35%"></th>
                          </tr>
                        </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script>
    $(document).ready(function() {
      var table = $('#table').DataTable({
          "processing": true,
          "serverSide" : true,
          "language": {
            processing: '<div class="spinner-border" role="status"><span class="sr-only">Loading...</span></div>'
          },
          ajax: {
            url: "{{ route('users.index') }}",
            type: "GET"
          },
          columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'name', name: 'name'},
            {data: 'email', name: 'email'},
            {data: 'menuroles', name: 'menuroles'},
            {data: 'action', name: 'action', orderable: false, searchable: false},
          ]
        });
    } );
    $('#table').on('click', '.form-delete', function(e){
      e.preventDefault();
      var form = $(this);
      swal({
        title: "Apakah Anda yakin?",
        icon: "warning",
        buttons: {
          cancel: {
            text: "Batal",
            visible: true
          },
          confirm: {
            text: "Hapus"
          }
        },
        dangerMode: true,
      })
      .then((yes) => {
        if (yes) {
          form.submit()
        }
      });
    });
</script>
@endsection