@extends('dashboard.base')

@section('content')
        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                @include('dashboard.shared.alert')
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="m-0">Manajemen Data</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-6">
                                <p><strong>Backup</strong></p>
                                <p>Backup database saat ini untuk dan simpan di komputer anda</p>
                                <a target="_blank" href="/backup-restore/backup" class="btn btn-primary">Download</a>
                            </div>
                            <div class="col-sm-12 col-md-6">
                                <p><strong>Restore</strong></p>
                                <form id="restore" action="{{ route('admin.db.restore') }}" method="POST" enctype="multipart/form-data">
                                  @csrf
                                    <input type="file" class="form-control mb-2" name="sql">
                                    @error('sql')
                                      <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                    <button id="btn-submit" type="submit" class="btn btn-success">Restore Data</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
  <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
  <script>
    $(function() {
      $("#btn-submit").on('click', function(e) {
        e.preventDefault();

        swal({
          title: "Anda yakin restore data?",
          text: "Data akan berubah setelah proses restore selesai.",
          icon: "warning",
          buttons: ['Batal','Yakin'],
          dangerMode: true,
        })
        .then((yes) => {
          if (yes) {
            $("#restore").submit();
          }
        });
      })
    })
  </script>
@endsection