@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-10 col-lg-8 col-xl-6">
                @if ($message = Session::get('fail'))
                    <div class="alert alert-danger alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>    
                        <strong>{{ $message }}</strong>
                    </div>
                @endif
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Tambah Instansi</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('instansi.store') }}">
                            @csrf
                            <div class="form-group">
                                <label>Nama Instansi</label>
                                <input class="form-control" type="text" name="name" value="{{ old('name') }}" required autofocus>
                                @error('name')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Alamat</label>
                                <input class="form-control" type="text" name="address" value="{{ old('address') }}" required autofocus>
                                @error('address')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Telepon</label>
                                <input class="form-control" type="text" name="phone" value="{{ old('phone') }}" required autofocus>
                                @error('phone')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Jenis Potongan</label>
                                <select name="potongan_types[]" id="potongan_types" class="form-control" multiple="multiple">
                                  @foreach ($potongan_types as $id => $name)
                                    <option value="{{$id}}">{{$name}}</option>
                                  @endforeach
                                </select>
                                @error('potongan_types')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="d-flex flex-row">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <a href="{{ route('instansi.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script>
  $(document).ready(function(){
      $("#potongan_types").select2({placeholder: "Pilih jenis potongan"});
  });
</script>
@endsection