@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-10 col-lg-8 col-xl-6">
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Buat Jenis Potongan</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('jenis-potongan.store') }}">
                            @csrf
                            <div class="form-group">
                                <label>Nama Jenis Potongan</label>
                                <input class="form-control" type="text" name="name" value="{{ old('name') }}" required autofocus>
                                @error('name')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Nama Institusi</label>
                                <input class="form-control" type="text" name="institution_name" value="{{ old('institution_name') }}">
                                @error('institution_name')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Deskripsi</label>
                                <textarea class="form-control" id="desc" rows="3" name="desc"></textarea>
                                @error('desc')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="d-flex flex-row">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <a href="{{ route('jenis-potongan.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')

@endsection