@extends('dashboard.base')

@section('content')
    <div class="container-fluid">
        @include('dashboard.shared.alert')
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="m-0">Filter</h5>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('keuangan.report.generate') }}" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-md-4 col-xs-12">
                                    <label>Instansi</label>
                                    <select name="instansi_id" id="instansi" class="form-control filter" required>
                                        <option value="" selected disabled hidden></option>
                                        @foreach ($instansis as $id => $name)
                                            <option value="{{ $id }}" {{ old('instansi_id') == $id ? 'selected' : '' }}>{{ $name }}</option>                                    
                                        @endforeach
                                    </select>
                                  </div>
                                <div class="col-md-3 col-xs-12">
                                    <label>Dari Tanggal</label>
                                    <input type="date" name="date_from" class="form-control" value="{{ old('date_from') }}" required>
                                </div>
                                <div class="col-md-3 col-xs-12">
                                    <label>Sampai Tanggal</label>
                                    <input type="date" name="date_to" class="form-control" value="{{ old('date_to') }}" required>
                                </div>
                                <div class="col-md-2 col-xs-12 d-flex align-items-end">
                                    <button id="btn-filter" type="submit" class="btn btn-success btn-block">Tampilkan</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="animated fadeIn">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="card">
                        <div class="card-header d-flex justify-content-between align-items-center">
                            <h5 class="m-0">Laporan Transaksi</h5>
                            <a id="btn-download" class="btn btn-dark {{ count($datas) > 0 ? '' : 'disabled' }}" href="{{ route('keuangan.report.print') }}" target="_blank"><span class="cil-cloud-download mr-1"></span>Download</a>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive table-responsive-sm">
                                @if (count($datas) > 0) 
                                    <table id="table" class="table table-responsive-sm table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th style="width: 5%">No</th>
                                                <th style="width: 15%">Tanggal</th>
                                                <th style="width: 35%">Transaksi</th>
                                                <th>Masuk</th>
                                                <th>Keluar</th>
                                                <th width="15%">Saldo</th>
                                            </tr>
                                            <tr>
                                                <th colspan="5" class="text-center">Saldo Awal</th>
                                                <th class="text-right">Rp {{ $saldo }}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($datas as $data)
                                                <tr>
                                                    <td>{{ $loop->iteration }}.</td>
                                                    <td>{{ date("j F Y", strtotime($data['tanggal'])) }}</td>
                                                    <td>{{ $data['nama'] }}</td>
                                                    <td class="text-right">{{ $data['masuk'] }}</td>
                                                    <td class="text-right">{{ $data['keluar'] }}</td>
                                                    <td class="text-right">{{ $data['saldo'] }}</td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                @else
                                    
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('javascript')
    <script>
        $(function() {
            $("#instansi").select2({placeholder: "Pilih instansi", allowClear: true});      
        });
    </script>
@endsection