@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                @if ($message = Session::get('fail'))
                    <div class="alert alert-danger alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>    
                        <strong>{{ $message }}</strong>
                    </div>
                @endif
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Tambah Pegawai Baru</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('pegawai.store') }}" enctype="multipart/form-data">
                            @csrf
                            <fieldset>
                                <legend>Identitas</legend>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Jenis Pegawai</label><br>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="type_asn" value="1" @if (old('pegawai_type') == 1) selected @endif>
                                                <label class="form-check-label" for="type_asn">ASN</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="type_ppnpn" value="2" @if (old('pegawai_type') == 2) selected @endif>
                                                <label class="form-check-label" for="type_ppnpn">Hakim</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="type_ppnpn" value="3" @if (old('pegawai_type') == 3) selected @endif>
                                                <label class="form-check-label" for="type_ppnpn">PPNPN</label>
                                            </div>
                                            @error('pegawai_type')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Status Pegawai</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="status" id="status" required>
                                                <option value="" disabled selected hidden></option>
                                                @foreach (config('constants.status_pegawai') as $value => $status)
                                                    <option value="{{ $value }}" @if (old('status') == $value or $value == 1) selected @endif>{{ $status }}</option>
                                                @endforeach
                                            </select>
                                            @error('status')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>No. Pegawai</label>
                                            <input type="text" class="form-control" name="no_pegawai" value="{{ old('no_pegawai') }}" autofocus required>
                                            @error('no_pegawai')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Nama Pegawai</label>
                                            <input class="form-control" type="text" name="name" value="{{ old('name') }}" required>
                                            @error('name')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input class="form-control" type="email" name="email" value="{{ old('email') }}" required>
                                            @error('email')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Telepon</label>
                                            <input type="text" class="form-control col-sm-12 col-md-6" name="phone" value="{{ old('phone') }}" required>
                                            @error('phone')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tempat Lahir</label>
                                            <input type="text" class="form-control" name="birth_place" value="{{ old('birth_place') }}">
                                            @error('birth_place')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tanggal Lahir</label>
                                            <input type="date" class="form-control col-sm-12 col-md-6" name="birth_date" id="birth_date" value="{{ old('birth_date') }}">
                                            @error('birth_date')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tanggal Gaji Berkala</label>
                                            <input type="date" class="form-control col-sm-12 col-md-6" name="gaji_berkala" id="gaji_berkala" value="{{ old('gaji_berkala') }}">
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="maksimal" name="maksimal" value="1" @if (old('gaji_berkala') == 1) checked @endif>
                                                <label class="form-check-label" for="maksimal">
                                                    Maksimal
                                                </label>
                                            </div>
                                            @error('gaji_berkala')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Agama</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="religion_id" id="religion">
                                                <option value="" disabled selected hidden></option>
                                                @foreach ($religions as $id => $religion)
                                                    <option value="{{ $id }}" @if (old('agama') == $id) selected @endif>{{ $religion }}</option>
                                                @endforeach
                                            </select>
                                            @error('religion_id')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Jenis Kelamin</label><br>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="gender" id="gender_male" value="1" @if (old('gender') == 1) selected @endif>
                                                <label class="form-check-label" for="gender_male">Laki-Laki</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="gender" id="gender_female" value="2" @if (old('gender') == 2) selected @endif>
                                                <label class="form-check-label" for="gender_female">Perempuan</label>
                                            </div>
                                            @error('gender')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Alamat</label>
                                            <input type="text" class="form-control" name="address" value="{{ old('address') }}">
                                            @error('address')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Rekening Bank</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="account_bank" id="account_bank">
                                                <option value="" disabled selected hidden></option>
                                                @foreach (config('constants.banks') as $key => $bank)
                                                    <option value="{{ $key }}" @if (old('account_bank') == $key) selected @endif>{{ $bank }}</option>
                                                @endforeach
                                            </select>
                                            @error('account_bank')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>No. Rekening</label>
                                            <input type="text" class="form-control" name="account_no" value="{{ old('account_no') }}">
                                            @error('account_no')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        
                                        <label>Foto</label><br>
                                        <div class="custom-file mb-4">
                                            <input type="file" class="custom-file-input" id="photo" name="photo">
                                            <label class="custom-file-label" for="photo">Pilih Foto</label>
                                            @error('photo')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>NPWP</label>
                                            <input type="text" class="form-control" name="npwp" value="{{ old('npwp') }}">
                                            @error('npwp')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                
                                
                                
                            </fieldset>
                            <hr class="mb-4">
                            <fieldset>
                                <legend>Informasi Kepegawaian</legend>
                                <div class="form-group">
                                    <label>Jabatan</label>
                                    <select class="form-control" name="jabatan_id" id="jabatan" required>
                                        <option value="" disabled selected hidden></option>
                                        @foreach ($jabatans as $id => $jabatan)
                                            <option value="{{ $id }}" @if (old('jabatan_id') == $id) selected @endif>{{ $jabatan }}</option>
                                        @endforeach
                                    </select>
                                    @error('jabatan_id')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>TMT Jabatan</label>
                                    <input type="date" class="form-control col-sm-12 col-md-6" name="tmt_jabatan">
                                    @error('tmt_jabatan')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Pangkat / Golongan Ruang</label>
                                    <select class="form-control" name="pangkat_id" id="pangkat" required>
                                        <option value="" disabled selected hidden></option>
                                        @foreach ($pangkats as $id => $pangkat)
                                            <option value="{{ $id }}" @if (old('pangkat_id') == $id) selected @endif>{{ $pangkat }}</option>
                                        @endforeach
                                    </select>
                                    @error('pangkat_id')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>TMT Pangkat / Golongan Ruang</label>
                                    <input type="date" class="form-control col-sm-12 col-md-6" name="tmt_pangkat">
                                    @error('tmt_pangkat')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Gaji</label>
                                    <input type="number" class="form-control col-sm-12 col-md-6" name="gaji_pokok" step="2">
                                    @error('gaji_pokok')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Tunjangan Kinerja</label>
                                    <input type="number" class="form-control col-sm-12 col-md-6" name="tunjangan" step="2">
                                    @error('tunjangan')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Uang Makan</label>
                                    <input type="number" class="form-control col-sm-12 col-md-6" name="uang_makan" step="2">
                                    @error('uang_makan')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Uang Transportasi</label>
                                    <input type="number" class="form-control col-sm-12 col-md-6" name="uang_transportasi" step="2">
                                    @error('uang_transportasi')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                            </fieldset>
                            <div class="d-flex flex-row mt-4">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <a href="{{ route('pegawai.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script>
    $(document).ready(function(){
        $("#religion").select2({placeholder: "Pilih agama"});
        $("#jabatan").select2({placeholder: "Pilih jabatan"});
        $("#pangkat").select2({placeholder: "Pilih pangkat"});
        $("#status").select2({ placeholder: "Pilih status pegawai" });
        $("#account_bank").select2({placeholder: "Pilih bank"});
        $('input[type="file"]').change(function(e){
            var fileName = e.target.files[0].name;
            $('.custom-file-label').html(fileName);
        });
        $("#maksimal").on('change', function() {
            if($(this).is(":checked")) {
                $("#gaji_berkala").addClass('d-none');
            } else {
                $("#gaji_berkala").removeClass('d-none');
            }
        })
    });
</script>
@endsection