@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Edit Pegawai</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('pegawai.update',  $pegawai->id )}}" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <fieldset>
                                <legend>Identitas</legend>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <label>Jenis Pegawai</label><br>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="pegawai_asn" value="1" @if ($pegawai->pegawai_type == 1) checked @endif>
                                                <label class="form-check-label" for="pegawai_asn">ASN</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="type_ppnpn" value="2" @if (old('pegawai_type') == 2) selected @endif>
                                                <label class="form-check-label" for="type_ppnpn">Hakim</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="pegawai_type" id="pegawai_ppnpn" value="3" @if ($pegawai->pegawai_type == 3) checked @endif>
                                                <label class="form-check-label" for="pegawai_ppnpn">PPNPN</label>
                                            </div>
                                            @error('pegawai_type')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Status Pegawai</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="status" id="status" required>
                                                <option value="" disabled selected hidden></option>
                                                @foreach (config('constants.status_pegawai') as $value => $status)
                                                    <option value="{{ $value }}" @if ($pegawai->status == $value) selected @endif>{{ $status }}</option>
                                                @endforeach
                                            </select>
                                            @error('status')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>No. Pegawai / NIP</label>
                                            <input type="text" class="form-control" name="no_pegawai" value="{{ $pegawai->no_pegawai }}" autofocus required>
                                            @error('no_pegawai')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Nama Pegawai</label>
                                            <input class="form-control" type="text" name="name" value="{{ $pegawai->name }}" required>
                                            @error('name')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input class="form-control" type="email" name="email" value="{{ $pegawai->email }}" required>
                                            @error('email')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Telepon</label>
                                            <input type="text" class="form-control col-sm-12 col-md-6" name="phone" value="{{ $pegawai->phone }}" required>
                                            @error('phone')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tempat Lahir</label>
                                            <input type="text" class="form-control" name="birth_place" value="{{ $pegawai->birth_place }}">
                                            @error('birth_place')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tanggal Lahir</label>
                                            <input type="date" class="form-control col-sm-12 col-md-6" name="birth_date" id="birth_date" value="{{ $pegawai->birth_date }}">
                                            @error('birth_date')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Tanggal Gaji Berkala</label>
                                            <div class="form-check">
                                                <input class="form-check-input" type="checkbox" id="maksimal" name="maksimal" value="1" @if ($pegawai->maksimal == 1) checked @endif>
                                                <label class="form-check-label" for="maksimal">
                                                    Maksimal
                                                </label>
                                            </div>
                                            <input type="date" class="form-control col-sm-12 col-md-6" name="gaji_berkala" id="gaji_berkala" value="{{ $pegawai->gaji_berkala }}">
                                            @error('gaji_berkala')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <label>Agama</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="religion_id" id="religion">
                                                <option value="" disabled selected hidden></option>
                                                @foreach ($religions as $id => $religion)
                                                    <option value="{{ $id }}" @if ($pegawai->religion_id == $id) selected @endif>{{ $religion }}</option>
                                                @endforeach
                                            </select>
                                            @error('religion_id')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Jenis Kelamin</label><br>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="gender" id="gender_male" value="1" @if ($pegawai->gender == 1) checked @endif>
                                                <label class="form-check-label" for="gender_male">Laki-Laki</label>
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="gender" id="gender_female" value="2" @if ($pegawai->gender == 2) checked @endif>
                                                <label class="form-check-label" for="gender_female">Perempuan</label>
                                            </div>
                                            @error('gender')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Alamat</label>
                                            <input type="text" class="form-control" name="address" value="{{ $pegawai->address }}">
                                            @error('address')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>Rekening Bank</label><br>
                                            <select class="form-control col-sm-12 col-md-6" name="account_bank" id="account_bank">
                                                <option value="" disabled selected hidden></option>
                                                @foreach (config('constants.banks') as $key => $bank)
                                                    <option value="{{ $key }}" @if ($pegawai->account_bank == $key) selected @endif>{{ $bank }}</option>
                                                @endforeach
                                            </select>
                                            @error('account_bank')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>No. Rekening</label>
                                            <input type="text" class="form-control" name="account_no" value="{{ $pegawai->account_no }}">
                                            @error('account_no')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <label>Foto</label><br>
                                        @if ($pegawai->photo !== null)                                
                                            <img src="{{asset('uploads/'.$pegawai->photo)}}" width="100px" class="mb-3">
                                        @endif
                                        <div class="custom-file mb-4">
                                            <input type="file" class="custom-file-input" id="photo" name="photo">
                                            <label class="custom-file-label" for="photo">Pilih Foto</label>
                                            @error('photo')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group">
                                            <label>NPWP</label>
                                            <input type="text" class="form-control" name="npwp" value="{{ $pegawai->npwp }}">
                                            @error('npwp')
                                                <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                
                                
                            </fieldset>
                            <div class="d-flex flex-row mt-4">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <a href="{{ route('pegawai.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script>
    $(document).ready(function(){
        var maks = @json($pegawai->maksimal);
        if(maks == 1){
            $("#gaji_berkala").addClass('d-none');
        } else {
            $("#gaji_berkala").removeClass('d-none');
        }
        $("#religion").select2({placeholder: "Pilih agama"});
        $("#jabatan").select2({placeholder: "Pilih jabatan"});
        $("#pangkat").select2({placeholder: "Pilih pangkat / golongan ruang"});
        $("#status").select2();
        $("#account_bank").select2({placeholder: "Pilih bank"});
        $('input[type="file"]').change(function(e){
            var fileName = e.target.files[0].name;
            $('.custom-file-label').html(fileName);
        });
    });
    
    $("#maksimal").on('change', function() {
        if($(this).is(":checked")) {
            $("#gaji_berkala").addClass('d-none');
        } else {
            $("#gaji_berkala").removeClass('d-none');
        }
    })
</script>
@endsection