@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-8 col-xl-6">
                @include('dashboard.shared.alert')
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Edit Riwayat Pegawai</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('pegawai.riwayat.update', $riwayat->id) }}" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="form-group">
                                <label>Jabatan</label>
                                <select class="form-control" name="jabatan_id" id="jabatan">
                                    <option value="" disabled selected hidden></option>
                                    @foreach ($jabatans as $id => $jabatan)
                                        <option value="{{ $id }}" @if ($riwayat->jabatan_id == $id) selected @endif>{{ $jabatan }}</option>
                                    @endforeach
                                </select>
                                @error('jabatan_id')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>TMT Jabatan</label>
                                <input type="date" class="form-control" name="tmt_jabatan" value="{{ $riwayat->tmt_jabatan }}">
                                @error('tmt_jabatan')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Pangkat / Golongan Ruang</label>
                                <select class="form-control" name="pangkat_id" id="pangkat">
                                    <option value="" disabled selected hidden></option>
                                    @foreach ($pangkats as $id => $pangkat)
                                        <option value="{{ $id }}" @if ($riwayat->pangkat_id == $id) selected @endif>{{ $pangkat }}</option>
                                    @endforeach
                                </select>
                                @error('pangkat_id')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>TMT Pangkat / Golongan Ruang</label>
                                <input type="date" class="form-control" name="tmt_pangkat" value="{{ $riwayat->tmt_pangkat }}">
                                @error('tmt_pangkat')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Gaji</label>
                                <input type="number" class="form-control" name="gaji_pokok" value="{{ $riwayat->gaji_pokok }}">
                                @error('gaji_pokok')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Tunjangan Kinerja</label>
                                <input type="number" class="form-control" name="tunjangan" value="{{ $riwayat->tunjangan }}">
                                @error('tunjangan')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Uang Makan</label>
                                <input type="number" class="form-control" name="uang_makan" value="{{ $riwayat->uang_makan }}">
                                @error('uang_makan')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Uang Transportasi</label>
                                <input type="number" class="form-control" name="uang_transportasi" value="{{ $riwayat->uang_transportasi }}">
                                @error('uang_transportasi')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label>Status</label><br>
                                <select class="form-control" name="status" id="status">
                                    <option value="1" @if ($riwayat->status == 1) selected @endif>Aktif</option>
                                    <option value="2" @if ($riwayat->status == 2) selected @endif>Nonaktif</option>
                                </select>
                                @error('status')
                                    <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="d-flex flex-row mt-4">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <a href="{{ route('pegawai.show', $riwayat->user_id) }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script>
    $(document).ready(function(){
        $("#jabatan").select2({placeholder: "Pilih jabatan"});
        $("#pangkat").select2({placeholder: "Pilih pangkat"});
        $("#status").select2();
    });
</script>
@endsection