@extends('dashboard.base')

@section('content')
        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                @include('dashboard.shared.alert')
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="m-0">Detail Pegawai</h5>
                        <a href="{{ route('pegawai.edit', $pegawai->id) }}" class="btn btn-success"><span class="cil-pencil"></span> Edit</a>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-4 mb-3">
                                <div class="col">
                                    <img class="c-profile-img" src="{{asset('uploads/'.$pegawai->photo)}}" alt="" width="100%">
                                </div>
                            </div>
                            <div class="col-sm-12 col-md-8">
                                <div class="col">
                                    <div class="nav-tabs-boxed">
                                        <ul class="nav nav-tabs" role="tablist">
                                            <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#home" role="tab" aria-controls="home">Informasi Pegawai</a></li>
                                            <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#profile" role="tab" aria-controls="profile">Identitas & Kontak</a></li>
                                        </ul>
                                        <div class="tab-content">
                                            <div class="tab-pane active" id="home" role="tabpanel">
                                                <div class="table-responsive">
                                                    <table class="table table-sm table-borderless">
                                                        <tbody>
                                                            <tr>
                                                                <th>Nama</th>
                                                                <td>: {{$pegawai->name}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>No. Pegawai /  NIP</th>
                                                                <td>: {{$pegawai->no_pegawai}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Pangkat / Golongan Ruang</th>
                                                                <td>: {!!$riwayat_aktif?$riwayat_aktif->pangkat->name:'<em>Belum diatur</em>'!!}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Jabatan</th>
                                                                <td>: {!!$riwayat_aktif?$riwayat_aktif->jabatan->name:'<em>Belum diatur</em>'!!}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Jenis Pegawai</th>
                                                                <td>: {{$pegawai->pegawai_type!=0?config('constants.jenis_pegawai.'.$pegawai->pegawai_type):'-'}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Status Pegawai</th>
                                                                <td>: {{$pegawai->status!=0?config('constants.status_pegawai.'.$pegawai->status):'-'}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Gaji</th>
                                                                <td>: @if($riwayat_aktif) Rp {{number_format($riwayat_aktif->gaji_pokok,0,',','.')}} @else <em>Belum diatur</em> @endif</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Tunjangan Kinerja</th>
                                                                <td>: @if($riwayat_aktif) Rp {{number_format($riwayat_aktif->tunjangan,0,',','.')}} @else <em>Belum diatur</em> @endif</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Uang Makan</th>
                                                                <td>: @if($riwayat_aktif) Rp {{number_format($riwayat_aktif->uang_makan,0,',','.')}} @else <em>Belum diatur</em> @endif</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Uang Transportasi</th>
                                                                <td>: @if($riwayat_aktif) Rp {{number_format($riwayat_aktif->uang_transportasi,0,',','.')}} @else <em>Belum diatur</em> @endif</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Tanggal Gaji Berkala</th>
                                                                {{-- <td>: @if($pegawai->gaji_berkala) {{$pegawai->gaji_berkala}} {{$pegawai->maksimal==1?'(Maksimal)':''}} @else <em>Belum diatur</em> @endif</td> --}}
                                                                <td>: @if($pegawai->maksimal==1) {{'Maksimal'}} @else @if($pegawai->gaji_berkala) {{$pegawai->gaji_berkala}} @else <em>Belum diatur</em> @endif @endif</td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="tab-pane" id="profile" role="tabpanel">
                                                <div class="table-responsive">
                                                    <table class="table table-sm table-borderless">
                                                        <tbody>
                                                            <tr>
                                                                <th>Jenis Kelamin</th>
                                                                <td>: {{config('constants.jenis_kelamin.'.$pegawai->gender)}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Tempat Lahir</th>
                                                                <td>: {{$pegawai->birth_place}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Tanggal Lahir</th>
                                                                <td>: {{$pegawai->birth_date}}</td>
                                                            </tr>
                                                            
                                                            <tr>
                                                                <th>Agama/Kepercayaan</th>
                                                                <td>: {{$pegawai->agama?$pegawai->agama->name:'-'}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Alamat</th>
                                                                <td>: {{$pegawai->address}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>No. Telp</th>
                                                                <td>: {{$pegawai->phone}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Email</th>
                                                                <td>: {{$pegawai->email}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>No. Rekening</th>
                                                                <td>: {{$pegawai->account_no}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Nama Bank</th>
                                                                <td>: {{$pegawai->account_bank!=0?config('constants.banks.'.$pegawai->account_bank):'-'}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>NPWP</th>
                                                                <td>: {{$pegawai->npwp}}</td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                            @if (!$riwayat_aktif)  
                            <div class="col-sm-12 mt-3">
                                <div class="alert alert-warning" role="alert">
                                    Harap mengatur riwayat jabatan pegawai untuk dapat menggunakan fitur penghasilan 
                                </div>
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
              </div>
            </div>
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="m-0">Riwayat Pegawai</h5>
                        @if (auth()->user()->menuroles != 'pegawai')
                        <a href="{{ route('pegawai.riwayat.create', $pegawai->id) }}" class="btn btn-primary"><span class="cil-plus"></span> Tambah</a>
                        @endif
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-sm">
                                        <thead>
                                            <tr>
                                                <th>No</th>
                                                <th>Jabatan</th>
                                                <th>Pangkat / Golongan Ruang</th>
                                                <th>Status</th>
                                                @if (auth()->user()->menuroles != 'pegawai')
                                                <th></th>
                                                @endif
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($pegawai->riwayat as $riwayat)
                                                <tr>
                                                    <td>{{$loop->iteration}}</td>
                                                    <td>
                                                        {{$riwayat->jabatan !== null ? $riwayat->jabatan->name : '-'}}
                                                        <p class="my-0">
                                                            <small>TMT: {{$riwayat->tmt_jabatan !== null ? $riwayat->tmt_jabatan : '-'}}</small>
                                                        </p>
                                                    </td>
                                                    <td>
                                                        {{$riwayat->pangkat !== null ? $riwayat->pangkat->name : '-'}}
                                                        <p class="my-0">
                                                            <small>TMT: {{$riwayat->tmt_pangkat !== null ? $riwayat->tmt_pangkat : '-'}}</small>
                                                        </p>
                                                    </td>
                                                    <td>{{$riwayat->status == 1 ? "Aktif" : "Nonaktif"}}</td>
                                                    @if (auth()->user()->menuroles != 'pegawai')
                                                    <td width="10%"><a href="{{ route('pegawai.riwayat.edit', $riwayat->id) }}" class="btn btn-sm btn-info"><span class="cil-pencil mr-1"></span> Edit</a></td>
                                                    @endif
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection