@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
            @include('dashboard.shared.alert')
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Edit Komponen Penerimaan</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('penerimaan.update-potongan', $slip->id) }}" enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="table-responsive">
                                <table class="table table-borderless">
                                    <tr>
                                        <th width="25%">Jenis</th>
                                        <td>{{ config('constants.salary_types.' . $slip->type) }}</td>
                                    </tr>
                                    <tr>
                                        <th>Periode</th>
                                        <td>{{ config('constants.bulans.' . $slip->month) }} - {{ $slip->year }}</td>
                                    </tr>
                                    <tr>
                                        <th>Nama Pegawai</th>
                                        <td>{{ $slip->riwayat->pegawai->name }} ({{ $slip->riwayat->pegawai->no_pegawai }})</td>
                                    </tr>
                                    <tr>
                                        <th>Perhitungan</th>
                                        <td>
                                            <table class="table table-borderless table-hover table-sm table-responsive">
                                                <tr>
                                                    <td>Nominal {{ config('constants.salary_types.' . $slip->type) }}</td>
                                                    <td width="1%">Rp</td>
                                                    <td>
                                                        <input readonly id="money_before" type="text" class="form-control text-right currency" 
                                                            value="{{ number_format($slip['riwayat'][config('constants.jenis_riwayat.' . $slip->type)],0,',','') }}">
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="4"><strong>Penambahan</strong></td>
                                                </tr>
                                                @foreach ($jenisPenambahans as $item)
                                                    <tr>
                                                        <td>{{$item->name}}</td>
                                                        <td width="1%">Rp</td>
                                                        <td>
                                                            @php
                                                                $nilaipenambahan = 0;
                                                                $keterangan = '';
                                                                if($slip->penambahans->contains('penambahan_type_id', $item->id)){
                                                                    $nilaipenambahan = $slip->penambahans[$item->id]->amount;
                                                                    $keterangan = $slip->penambahans[$item->id]->desc;
                                                                } else {
                                                                    // dd('2', $existingPotongan[$item->id]['sisa']);
                                                                    if((!empty($existingPenambahan[$item->id]))){
                                                                        $nilaipenambahan = $existingPenambahan[$item->id]['sisa'];
                                                                        $keterangan = '';
                                                                        
                                                                    }
                                                                }
                                                            @endphp
                                                            <input type="text" class="form-control text-right money-add currency" name="penambahan[{{ $item->id }}]"
                                                                value="{{ number_format($nilaipenambahan,0,',','') }}"> 
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                <tr>
                                                    <td colspan="4"><strong>Pengurangan/Potongan</strong></td>
                                                </tr>
                                                {{-- <tr>
                                                    <td>Jumlah Sebelum Potongan</td>
                                                    <td width="1%">Rp</td>
                                                    <td>
                                                        <input readonly id="money_before" type="text" class="form-control text-right currency" 
                                                            value="{{ number_format($slip['riwayat'][config('constants.jenis_riwayat.' . $slip->type)],0,',','') }}">
                                                    </td>
                                                </tr> --}}
                                                @foreach ($jenisPotongans as $item)
                                                    <tr>
                                                        <td>{{$item->name}}</td>
                                                        <td width="1%">Rp</td>
                                                        <td>
                                                            @php
                                                                $nilaipotongan = 0;
                                                                $keterangan = '';
                                                                if($slip->potongans->contains('potongan_type_id', $item->id)){
                                                                    $nilaipotongan = $slip->potongans[$item->id]->amount;
                                                                    $keterangan = $slip->potongans[$item->id]->desc;
                                                                } else {
                                                                    // dd('2', $existingPotongan[$item->id]['sisa']);
                                                                    if((!empty($existingPotongan[$item->id]))){
                                                                        $nilaipotongan = $existingPotongan[$item->id]['sisa'];
                                                                        if($existingPotongan[$item->id]['tipe'] == 'angsuran') {
                                                                            $keterangan = 'Pembayaran angsuran dengan'
                                                                            .' no surat perjanjian: '.$existingPotongan[$item->id]['surat_dasar_pemotongan']
                                                                            .' Cicilan ke: '.$existingPotongan[$item->id]['angsuran_cicilan_ke']
                                                                            .' Angsuran Pokok: '.number_format($existingPotongan[$item->id]['angsuran_pokok'])
                                                                            .' Angsuran Bunga: '.number_format($existingPotongan[$item->id]['angsuran_bunga'])
                                                                            .' Sisa Pinjaman: '.number_format($existingPotongan[$item->id]['saldo_akhir']);
                                                                        } else {
                                                                            $keterangan = '';
                                                                        }
                                                                        
                                                                    }
                                                                }
                                                            @endphp
                                                            <input type="text" class="form-control text-right money currency" name="potongan[{{ $item->id }}]"
                                                                value="{{ number_format($nilaipotongan,0,',','') }}">
                                                            @if (!empty($existingPotongan[$item->id]))
                                                                <p class="mb-0 text-success">Nilai potongan yang diinput oleh pihak {{$existingPotongan[$item->id]['instansi']}}</p>
                                                                <p class="mb-0 text-success">Total potongan: {{number_format($existingPotongan[$item->id]['total'])}}</p>
                                                                <p class="mb-0 text-success">Sudah distribusi: {{number_format($existingPotongan[$item->id]['dibayar'])}}</p>
                                                                <p class="mb-0 text-success">Sisa: {{number_format($existingPotongan[$item->id]['sisa'],0,',','.')}}</p>
                                                                @if ($keterangan != '')    
                                                                <p class="mb-0 text-success">Keterangan Potongan:</p>
                                                                <p class="mb-0 text-success">{{$keterangan}}</p>
                                                                <input type="hidden" name="desc[{{ $item->id }}]" value="{{$keterangan}}">
                                                                @endif
                                                            @endif
                                                        </td>
                                                    </tr>
                                                @endforeach
                                                <tr>
                                                    <td>Jumlah Setelah Potongan</td>
                                                    <td width="1%">Rp</td>
                                                    <td>
                                                        <input readonly id="money_after" type="text" class="form-control text-right currency" value="">
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            
                            <div class="d-flex flex-row mt-4">
                                <button class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                <button class="btn btn-primary mr-2" type="submit" name="submit_and_back" value="1">{{ __('Simpan dan Kembali ke Daftar') }}</button>
                                <a href="{{ route('penerimaan.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                            </div>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('javascript')
<script src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/1.8.2/autoNumeric.js"></script>
<script>
    $(document).ready(function(){
        $(".currency").autoNumeric('init', {
            aSep: '.', 
            aDec: ',',
            aForm: true,
            vMax: '999999999',
            vMin: '-999999999'
        });
        var money_before = $('#money_before').val();
        money_before = parseInt(money_before.split('.').join(""));
        var money_after = 0;
        function count_total(){
            var money = 0;
            var moneyadd = 0;
            $(".money").each(function() {
                if($(this).val()){
                    var value = $(this).val();
                    money = money + parseInt(value.split('.').join(""));
                }
            });
            $(".money-add").each(function() {
                if($(this).val()){
                    var value = $(this).val();
                    moneyadd = moneyadd + parseInt(value.split('.').join(""));
                }
            });
            money_after = money_before + moneyadd - money;
            $("#money_after").val(money_after).autoNumeric("update");
        }
        count_total();
        $(".money").on('change', function(){
            count_total();
        })
        $(".money").keyup(function(){
            count_total();
        });
        $(".money-add").on('change', function(){
            count_total();
        })
        $(".money-add").keyup(function(){
            count_total();
        });
    });
</script>
@endsection