@extends('dashboard.base')

@section('content')

        <div class="container-fluid">
          <div class="animated fadeIn">
            <div class="row justify-content-md-center">
              <div class="col-sm-12">
                @if ($message = Session::get('fail'))
                    <div class="alert alert-danger alert-block">
                        <button type="button" class="close" data-dismiss="alert">×</button>    
                        <strong>{{ $message }}</strong>
                    </div>
                @endif
                <div class="card">
                    <div class="card-header">
                        <h5 class="m-0">Buat Promo</h5>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('promo.store') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                              <div class="col-6">
                                <div class="form-group">
                                  <label>Deskripsi</label>
                                  <textarea name="description" id="description" cols="30" rows="5" class="form-control">{{ old('description') }}</textarea>
                                  @error('description')
                                      <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                  @enderror
                                </div>
                                <div class="form-group">
                                    <label>Kontak</label>
                                    <textarea name="kontak" id="kontak" cols="30" rows="3" class="form-control">{{ old('kontak') }}</textarea>
                                    @error('kontak')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label>Link</label>
                                    <input type="text" name="link" class="form-control" value="{{ old('link') }}">
                                    @error('link')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="form-group my-4">
                                  <label for="active">Status Promo</label><br>
                                  <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="radio" name="active" id="active_on" value="1" checked @if (old('active') == 1) checked @endif>
                                      <label class="form-check-label" for="active_on">Aktif</label>
                                  </div>
                                  <div class="form-check form-check-inline">
                                      <input class="form-check-input" type="radio" name="active" id="active_off" value="0" @if (old('active') == 0) checked @endif>
                                      <label class="form-check-label" for="active_off">Tidak Aktif</label>
                                  </div>
                                  @error('active')
                                      <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                  @enderror
                                </div>
                                <div class="d-flex flex-row">
                                    <button id="btn-save" class="btn btn-primary mr-2" type="submit">{{ __('Simpan') }}</button>
                                    <a href="{{ route('promo.index') }}" class="btn btn-outline-dark">{{ __('Kembali') }}</a> 
                                </div>
                              </div>
                              <div class="col-6">
                                <div class="form-group">
                                    <label>Gambar Promo</label>
                                    <div class="custom-file mb-2">
                                      <input type="file" class="custom-file-input" name="image" id="image">
                                      <label class="custom-file-label text-truncate" for="image">Pilih gambar</label>
                                    </div>
                                    @error('image')
                                        <div class="alert alert-danger py-1 px-2 my-1">{{ $message }}</div>
                                    @enderror
                                </div>
                              </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

@endsection

@section('css')
  <style>
    #image {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      width: 150px;
    }
  </style>
@endsection


@section('javascript')
<script>
  $(document).ready(function() {
    $('#image').on('change',function(){
      var fileName = $(this).val().split('\\').pop();
      $(this).next('.custom-file-label').html(fileName);
    });
  });
</script>
@endsection