@extends('dashboard.base')

@section('content')


<div class="container-fluid">
  <div class="fade-in">
    <div class="row justify-content-md-center">
      <div class="col-sm-12 col-md-10 col-lg-8">
        <div class="card">
          <div class="card-header"><h4 class="m-0">Create new role</h4></div>
            <div class="card-body">
                @if(Session::has('message'))
                    <div class="alert alert-success" role="alert">{{ Session::get('message') }}</div>
                @endif
                <form method="POST" action="{{ route('roles.store') }}">
                    @csrf
                    <div class="form-group">
                        <label for="name">Name</label>
                        <input type="text" class="form-control" name="name">
                    </div>
                    <div class="form-group">
                        <label for="permissions">Permissions</label>
                        <select name="permissions[]" id="permissions" class="form-control" multiple="multiple">
                            @foreach ($permissions as $id => $name)
                                <option value="{{$id}}">{{$name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <br>
                    <button class="btn btn-primary" type="submit">Save</button>
                    <a class="btn btn-outline-dark" href="{{ route('roles.index') }}">Back</a>
                </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection

@section('javascript')
<script>
    $(document).ready(function(){
        $("#permissions").select2({placeholder: "Select permissions"});
    });
</script>
@endsection