<?php $__env->startSection('content'); ?>
        <div class="container-fluid">
          <?php echo $__env->make('dashboard.shared.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
          <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
              <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                  <h5 class="m-0">Filter</h5>
                  <a href="<?php echo e(route('penambahan.internal.index')); ?>" class="btn btn-primary"><span class="cil-plus"></span> Import Daftar Penambahan</a>
                </div>
                <div class="card-body">
                  <div class="row">
                    <div class="col-md-2 col-xs-12">
                      <select name="" id="tahun" class="form-control filter" required>
                        <option value="" selected hidden disabled></option>
                        <?php for($y = date('Y', strtotime('+1 year')); $y >= 2020; $y--): ?>                          
                          <option value="<?php echo e($y); ?>" <?php echo e($filterTahun == $y ? 'selected' : ''); ?>><?php echo e($y); ?></option>
                        <?php endfor; ?>
                      </select>
                    </div>
                    <div class="col-md-2 col-xs-12">
                      <select name="" id="bulan" class="form-control filter" required>
                        <option value="" selected hidden disabled></option>
                        <?php $__currentLoopData = config('constants.bulans'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$bulan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($key); ?>" <?php echo e($filterBulan==$key?'selected':''); ?>><?php echo e($bulan); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                    </div>
                    <div class="col-md-2 col-xs-12">
                        <select name="" id="jenis" class="form-control filter" required>
                          <option value="" selected hidden disabled></option>
                          <?php $__currentLoopData = $jenispenambahans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($type->id); ?>" <?php echo e($filterJenis==$type->id?'selected':''); ?>><?php echo e($type->name); ?></option>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-md-4 col-xs-12">
                      <select name="" id="pegawai" class="form-control filter" required>
                        <option value="" selected hidden disabled></option>
                        <?php $__currentLoopData = $pegawais; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$pegawai): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($pegawai->id); ?>" <?php echo e($filterPegawai==$pegawai->id?'selected':''); ?>><?php echo e($pegawai->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                    </div>
                    <div class="col-md-2 col-xs-12">
                      <button id="btn-filter" class="btn btn-success btn-block">Tampilkan</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="animated fadeIn">
            <div class="row">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                      <h5 class="m-0">Daftar Penambahan</h5>
                    </div>
                    <div class="card-body">
                      <div class="table-responsive table-responsive-sm">
                        <table id="table" class="table table-responsive-sm table-striped table-bordered">
                          <thead>
                            <tr>
                              <th style="width: 5%">No</th>
                              <th width="20%">Pegawai</th>
                              <th>Jenis Penambahan</th>
                              <th>Tahun</th>
                              <th>Bulan</th>
                              <th>Jumlah</th>
                              <th></th>
                              <th></th>
                            </tr>
                          </thead>
                          <tbody>
                          </tbody>
                          <tfoot>
                            <tr>
                                <th colspan="5" style="text-align:right">Total Keseluruhan:</th>
                                <th></th>
                            </tr>
                          </tfoot>
                        </table>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<script>
    $(document).ready(function() {
      var table = $('#table').DataTable({
          "processing": true,
          "serverSide" : true,
          "deferLoading": true,
          "pageLength": 50,
          "language": {
            processing: '<div class="spinner-border" role="status"><span class="sr-only">Loading...</span></div>'
          },
          ajax: {
            url: "<?php echo e(route('penambahan.internal.list')); ?>",
            type: "GET",
            data: function (d) {
                d.tahun = $("#tahun").val();
                d.bulan = $("#bulan").val();
                d.jenis = $("#jenis").val();
                d.pegawai = $("#pegawai").val();
            }
          },
          columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex'},
            {data: 'pegawai', name: 'pegawai'},
            {data: 'type', name: 'type'},
            {data: 'tahun', name: 'tahun'},
            {data: 'bulan', name: 'bulan'},
            {data: 'jumlah', name: 'jumlah'},
            {data: 'nominal', name: 'nominal'},
            {data: 'action', name: 'action'}
          ],
          columnDefs: [
            {
              "targets": [6],
              "visible": false
            }
          ],
          footerCallback: function ( row, data, start, end, display ) {
            var api = this.api(), data;
 
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
 
            // Total over all pages
            total = api
                .column(6)
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0);
 
            // Update footer
            $( api.column(5).footer() ).html(
                'Rp '+total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".")
            );
          }
        });
      $("#tahun").select2({placeholder: "Pilih tahun", allowClear: true});
      $("#bulan").select2({placeholder: "Pilih bulan", allowClear: true});
      $("#jenis").select2({placeholder: "Pilih jenis", allowClear: true});
      $("#pegawai").select2({placeholder: "Pilih pegawai", allowClear: true});
      $("#btn-filter").click(function(){
        $(this).prop('disabled', true).html('Loading...');
        $(".filter").prop('disabled', true);
        table.ajax.reload(function(){
          $(".filter").prop('disabled', false);
          $("#btn-filter").prop('disabled', false).html('Tampilkan');
        });
      })
    });
    $('#table').on('click', '.form-delete', function(e){
      e.preventDefault();
      var form = $(this);
      swal({
        title: "Apakah Anda yakin?",
        icon: "warning",
        buttons: {
          cancel: {
            text: "Batal",
            visible: true
          },
          confirm: {
            text: "Hapus"
          }
        },
        dangerMode: true,
      })
      .then((yes) => {
        if (yes) {
          form.submit()
        }
      });
    });
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('dashboard.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/aryamaharta/Documents/Projects/tridatu/kegaji/resources/views/dashboard/instansi/list-penambahan-internal.blade.php ENDPATH**/ ?>