<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
            @page  { 
                size: auto;
                margin: 10mm 5mm 5mm 5mm;
                font-size: 12pt !important;
            }
            body { 
                /* this affects the margin on the content before sending to printer */ 
                margin: 20px;
            }
            .text-center {
                text-align: center !important;
            }
            .text-right {
                text-align: right !important;
            }
            h5 {
                font-size: 12pt !important;
                margin: 10px 0;
            }
            h4 {
                font-size: 12pt !important;
            }
            h3 {
                font-size: 14pt !important;
            }
            .mt-1, .my-1 {
                margin-top: .25rem !important;
            }
            .my-0 {
              margin-top: 0px !important;
              margin-bottom: 0px !important;
            }
            table {
              border-collapse: collapse;
            }
            tr {
              page-break-inside: avoid; 
            }
            td {
              padding: 5px;
              font-size: 12pt !important;
            }
            table, th, td {
              border: 1px solid black;
            }
            small {
              font-size: 10pt !important;
            }
            td.number {
              text-align: right;
            }
        </style>
    </head>
    <body>
        <h3 class="text-center my-0">Rekapitulasi Penerimaan</h3>
        <h4 class="text-center my-0">Bulan <?php echo e(config('constants.bulans.'.$month)); ?> Tahun <?php echo e($year); ?></h4>
        <hr>
        <?php $__currentLoopData = $slips; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type => $slip): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <br>         
          <h5>Jenis Penerimaan : <?php echo e(config('constants.salary_types.' . $type)); ?></h5>
          <table style="width: 100%">
            <thead>
              <tr>
                <th width="5%" rowspan="2">No</th>
                <th width="15%" rowspan="2">NIP / No. Pegawai</th>
                <th width="30%" rowspan="2">Nama Pegawai</th>
                <th width="15%" rowspan="2">No. Rekening</th>
                <th rowspan="2">Jumlah</th>
                <th colspan="2">Potongan</th>
                <th rowspan="2">Diterima</th>
              </tr>
              <tr>
                <th>Bank BRI</th>
                <th>Non BRI</th>
              </tr>
            </thead>
            <tbody>
              <?php
                  $totalKotor = $totalPotongan = $totalPotonganBri = $totalPotonganNonBri = $totalBersih = 0;
              ?>
              <?php $__currentLoopData = $slip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $kotor = $row['riwayat'][config('constants.jenis_riwayat.' . $row->type)] + $row->penambahans()->sum('amount');
                    $totalKotor += $kotor;
                    $potonganBri = $row->potongans()->where('potongan_type_id', 20)->sum('amount');
                    $potonganNonBri = $row->potongans()->where('potongan_type_id', '!=', 20)->sum('amount');
                    $totalPotonganBri += $potonganBri;
                    $totalPotonganNonBri += $potonganNonBri;
                    $bersih = $kotor - ($potonganBri + $potonganNonBri);
                    $totalBersih += $bersih;
                    $totalPotongan += $row->potongans->sum('amount');
                ?>
                <tr>
                  <td class="text-center"><?php echo e($loop->iteration); ?></td>
                  <td><?php echo e($row->riwayat->pegawai->no_pegawai); ?></td>
                  <td><?php echo e($row->riwayat->pegawai->name); ?></td>
                  <td>Bank: <?php echo e(config('constants.banks.'.$row->riwayat->pegawai->account_bank)); ?><br><?php echo e($row->riwayat->pegawai->account_no); ?></td>
                  <td class="number">
                    <div class="d-flex justify-content-between align-items-center">
                      <p class="my-0">
                        Rp <?php echo e(number_format(($row['riwayat'][config('constants.jenis_riwayat.' . $row->type)] + $row->penambahans()->sum('amount')),0,',','.')); ?>

                      </p>
                    </div>
                  </td>
                  <td class="number">
                    <div class="d-flex justify-content-between align-items-center">
                      <p class="my-0">
                        Rp <?php echo e(number_format($potonganBri,0,',','.')); ?>

                      </p>
                    </div>
                  </td>
                  <td class="number">
                    <div class="d-flex justify-content-between align-items-center">
                      <p class="my-0">
                        Rp <?php echo e(number_format($potonganNonBri,0,',','.')); ?>

                      </p>
                    </div>
                  </td>
                  <td class="number">
                    <div class="d-flex justify-content-between align-items-center">
                      <p class="my-0">
                        Rp <?php echo e(number_format($bersih,0,',','.')); ?>

                      </p>
                    </div>
                  </td>
                </tr>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <tfoot>
              <tr style="background-color: lightgray;">
                <th colspan="4">TOTAL</th>
                <th style="text-align: right;"><?php echo e(number_format($totalKotor,0,',','.')); ?></th>
                <th style="text-align: right;"><?php echo e(number_format($totalPotonganBri,0,',','.')); ?></th>
                <th style="text-align: right;"><?php echo e(number_format($totalPotonganNonBri,0,',','.')); ?></th>
                <th style="text-align: right;"><?php echo e(number_format($totalBersih,0,',','.')); ?></th>
              </tr>
            </tfoot>
          </table>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </body>
</html><?php /**PATH /Users/aryamaharta/Documents/Projects/tridatu/kegaji/resources/views/dashboard/penerimaan/print-list.blade.php ENDPATH**/ ?>