<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
            @page  { 
                size: auto;
                margin: 15mm 8mm 8mm 8mm;
                font-size: 11pt !important;
            }
            body { 
                /* this affects the margin on the content before sending to printer */ 
                margin: 20px;
            }
            .text-center {
                text-align: center !important;
            }
            .text-right {
                text-align: right !important;
            }
            h5 {
                font-size: 11pt !important;
                margin: 0px;
            }
            h4 {
                font-size: 11pt !important;
            }
            .my-0{
                margin-top: 0px !important;
                margin-bottom: 0px !important;
            }
            .mt-1, .my-1 {
                margin-top: .25rem !important;
            }
            table {
                border-collapse: collapse;
            }
            .vtop {
                vertical-align: top;
            }
            .vbottom {
                vertical-align: bottom;
            }
            .row-summary-jenis td {
                font-weight: bold !important;
            }
            tr {
                page-break-inside: avoid; 
            }
            td {
                padding: 2px 0;
            }
            .vtop {
                vertical-align: top !important;
            }
        </style>
    </head>
    <body>
        <h4 class="text-center my-0">SLIP PENERIMAAN <?php echo e(strtoupper(config('constants.salary_types.' . $slip->type ))); ?></h4>
        <hr>
        <table style="width: 100%">
            <tbody>
                <tr>
                    <td style="width: 40%; vertical-align:top !important;">
                        <table>
                            <tr>
                                <td style="padding-right: 5px">
                                    <h5><?php echo e(env('APP_COMPANY','')); ?></h5>
                                    <p style="margin-top: 0px">
                                        <?php echo e(env('APP_ADDRESS','')); ?>

                                        <br>
                                        <?php echo e(env('APP_DISTRICT','')); ?>

                                        <br>
                                        <?php echo e(env('APP_CITY','')); ?>

                                        <br>
                                        <?php echo e(env('APP_PROVINCE','Provinsi Bali')); ?>

                                    </p>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td></td>
                    <td style="width: 60%">
                        <table>
                            <tr>
                                <td style="width: 140px">Periode</td>
                                <td style="width: 10px">:</td>
                                <td><?php echo e(config('constants.bulans.' . $slip->month)); ?> - <?php echo e($slip->year); ?></td>
                            </tr>
                            <tr>
                                <td class="vtop">Nama Pegawai</td>
                                <td class="vtop">:</td>
                                <td class="vtop"><?php echo e($slip->pegawai->name); ?></td>
                            </tr>
                            <tr>
                                <td class="vtop">No. Pegawai / NIP</td>
                                <td class="vtop">:</td>
                                <td class="vtop"><?php echo e($slip->pegawai->no_pegawai); ?></td>
                            </tr>
                            <tr>
                                <td class="vtop">Jabatan</td>
                                <td class="vtop">:</td>
                                <td class="vtop"><?php echo e($slip->riwayat->jabatan_name()); ?></td>
                            </tr>
                            <tr>
                                <td class="vtop">Pangkat / Golongan Ruang</td>
                                <td class="vtop">:</td>
                                <td class="vtop"><?php echo e($slip->riwayat->pangkat_name()); ?></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <hr>
        <table style="width: 100%; margin: 30px;">
            <tbody>
                <tr>
                    <td>
                        <table style="width: 100%">
                            <tr>
                                <td colspan="3">
                                    <h5>PENERIMAAN</h5>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align:center; width: 5px;">-</td>
                                <td style="width: 60%"><?php echo e(config('constants.salary_types.'.$slip->type)); ?></td>
                                <td style="width: 40%; text-align: right;">
                                    <?php echo e(number_format($slip['riwayat'][config('constants.jenis_riwayat.' . $slip->type)],0,',','.')); ?>

                                </td>
                            </tr>
                            <?php $__currentLoopData = $jenisPenambahans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $jenis): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(!empty($slip->penambahans[$jenis->id]) && $slip->penambahans[$jenis->id]->amount != 0): ?>    
                                <tr>
                                    <td style="text-align:center; width: 5px; vertical-align:top;">-</td>
                                    <td style="width: 60%; vertical-align:top;">
                                        <?php echo e($jenis->name); ?>

                                        <?php if($slip->penambahans[$jenis->id]->desc != ''): ?>
                                        <p style="margin:0; font-size:10pt !important;"><?php echo e($slip->penambahans[$jenis->id]->desc); ?></p>
                                        <?php endif; ?>
                                    </td>
                                    <td style="width: 40%; text-align: right; vertical-align:top;">
                                        <?php echo e($slip->penambahans->contains('penambahan_type_id', $jenis->id) ? 
                                        number_format($slip->penambahans[$jenis->id]->amount,0,',','.') : 
                                        '0'); ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td style="width: 60%;" colspan="2">
                                    <h5>Total Penghasilan Bruto</h5>
                                </td>
                                <td style="width: 40%; text-align: right; border-top: 1px solid black;">
                                    <h5>
                                        <?php echo e(number_format(($slip['riwayat'][config('constants.jenis_riwayat.' . $slip->type)] + $slip->penambahans->sum('amount')),0,',','.')); ?>

                                    </h5>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <table style="width: 100%; margin: 30px;">
            <tbody>
                <tr>
                    <td>
                        <table style="width: 100%">
                            <tr>
                                <td colspan="3">
                                    <h5>PENGURANGAN</h5>
                                </td>
                            </tr>
                            <?php $__currentLoopData = $jenisPotongans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $jenis): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(!empty($slip->potongans[$jenis->id]) && $slip->potongans[$jenis->id]->amount != 0): ?>    
                                <tr>
                                    <td style="text-align:center; width: 5px; vertical-align:top;">-</td>
                                    <td style="width: 60%; vertical-align:top;">
                                        <?php echo e($jenis->name); ?>

                                        <?php if($slip->potongans[$jenis->id]->desc != ''): ?>
                                        <p style="margin:0; font-size:10pt !important;"><?php echo e($slip->potongans[$jenis->id]->desc); ?></p>
                                        <?php endif; ?>
                                    </td>
                                    <td style="width: 40%; text-align: right; vertical-align:top;">
                                        <?php echo e($slip->potongans->contains('potongan_type_id', $jenis->id) ? 
                                        '('.number_format($slip->potongans[$jenis->id]->amount,0,',','.').')' : 
                                        '0'); ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td style="width: 60%;" colspan="2">
                                    <h5>Total Pengurangan Bruto</h5>
                                </td>
                                <td style="width: 40%; text-align: right; border-top: 1px solid black;">
                                    <h5>
                                        (<?php echo e(number_format($slip->potongans->sum('amount'),0,',','.')); ?>)
                                    </h5>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <table style="width: 100%; margin: 30px;">
            <tbody>
                <tr>
                    <td>
                        <table style="width: 95%">
                            <tr>
                                <td style="width: 60%;" colspan="2">
                                    <h5>TOTAL DITERIMA KARYAWAN</h5>
                                </td>
                                <td style="width: 40%; text-align: right; border-top: 1px solid black;">
                                    <h5>
                                        <?php echo e(number_format($slip['riwayat'][config('constants.jenis_riwayat.' . $slip->type)] + $slip->penambahans->sum('amount') - $slip->potongans->sum('amount'),0,',','.')); ?>

                                    </h5>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
        <hr><br>
        <p style="text-align: center;"><?php echo e(env('APP_CAPITAL','')); ?>, <?php echo e(date('d F Y')); ?></p>
        <br>
        <table style="width: 100%">
            <tr>
                <td style="width: 50%; text-align: center"></td>
                <td style="width: 50%; text-align: center">
                    Penerima
                </td>
            </tr>
            <tr>
                <td style="width: 50%; text-align: center"></td>
                <td style="width: 50%; text-align: center">
                    <?php if($slip->approve_pegawai == 1): ?>
                        <img src="<?php echo e(public_path("storage/".$slip->pegawai->signature)); ?>" alt="TTD" width="180">
                    <?php else: ?>
                        <p>TTD</p>
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td style="width: 50%; text-align: center;"></td>
                <td style="width: 50%; text-align: center;">
                    <?php echo e($slip->pegawai->name); ?>

                </td>
            </tr>
        </table>
    </body>
</html><?php /**PATH /Users/aryamaharta/Documents/Projects/tridatu/kegaji/resources/views/dashboard/penerimaan/print.blade.php ENDPATH**/ ?>