<?php $__env->startSection('content'); ?>
        <div class="container-fluid">
          <?php echo $__env->make('dashboard.shared.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
          <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
              <div class="card">
                <div class="card-header d-flex justify-content-between align-items-center">
                  <h5 class="m-0">Upload Dokumen</h5>
                </div>
                <div class="card-body">
                  <div class="alert alert-secondary mt-0 mb-2" role="alert">
                    <p class="mb-0"><strong>Perhatian</strong></p>
                    <p class="my-0">Untuk proses upload daftar potongan ada terdapat beberapa hal yang perlu diperhatikan, yaitu:</p>
                    <ol>
                      <li>File yang boleh diupload adalah file dengan format excel (.xls atau .xlsx). Untuk contoh format dokumen dapat di download pada <a href="/documents/Draft-Excel-EPenghasilan.xlsx">link ini</a></li>
                      <li>Nomor Induk Pegawai (NIP) wajib diisi dengan menambahkan karakter petik (') di awal NIP agar memudahkan sistem dalam pembacaan NIP</li>
                      <li>Untuk kolom nominal (plafon, angsuran pokok, angsuran bunga, angsuran total, dan saldo akhir) diisi tanpa format tertentu. Contoh 1000000, bukan 1.000.000</li>
                      <li>Untuk kolom jangka waktu dan angsuran-ke diisi tanpa format tertentu. Contoh 12, bukan "12 bulan"</li>
                    </ol>
                  </div>
                  <form id="import-form" action="<?php echo e(route('potongan.instansi.upload')); ?>" enctype="multipart/form-data" method="POST">
                      <?php echo e(csrf_field()); ?>

                      <div class="row">
                        <div class="col-md-2 col-xs-12">
                          <select name="tahun" id="tahun" class="form-control filter" required>
                            <option value="" selected hidden disabled></option>
                            <?php for($y = date('Y', strtotime('+1 year')); $y >= 2020; $y--): ?>                             
                              <option value="<?php echo e($y); ?>" <?php echo e($request['tahun']||old('tahun') == $y ? 'selected' : ''); ?>><?php echo e($y); ?></option>
                            <?php endfor; ?>
                          </select>
                        </div>
                        <div class="col-md-2 col-xs-12">
                          <select name="bulan" id="bulan" class="form-control filter" required>
                            <option value="" selected hidden disabled></option>
                            <?php $__currentLoopData = config('constants.bulans'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$bulan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php echo e($key == $request['bulan']||$key == old('bulan') ? 'selected' : ''); ?>><?php echo e($bulan); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          </select>
                        </div>
                        <div class="col-md-2 col-xs-12">
                          <select name="potongan_type_id" id="potongan_type_id" class="form-control filter" required>
                            <option value="" selected hidden disabled></option>
                            <?php $__currentLoopData = $jenispotongans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$jenispotongan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($jenispotongan->id); ?>" <?php echo e($jenispotongan->id == $request['potongan_type_id']||$jenispotongan->id == old('potongan_type_id') ? 'selected' : ''); ?>><?php echo e($jenispotongan->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          </select>
                        </div>
                        <div class="col-md-4 col-xs-12">
                          <input type="file" name="file" id="file" class="form-control" accept=".xls,.xlsx" required>
                        </div>
                        <div class="col-md-2 col-xs-12">
                          <button type="submit" id="btn-upload" class="btn btn-primary btn-block">Submit</button>
                        </div>
                      </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
          <?php if($showData): ?>    
          <div class="animated fadeIn">
            <div class="row">
              <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                      <h5 class="m-0">Daftar Potongan</h5>
                    </div>
                    <div class="card-body">
                        <h5 class="text-center"><b>Periode <?php echo e(config('constants.bulans.'.$request['bulan'])); ?> <?php echo e($request['tahun']); ?></b></h5>
                      <div class="table-responsive">
                          <table id="table" class="table table-sm table-bordered">
                              <thead>
                                  <tr>
                                      <th class="text-center align-middle" rowspan="2">No.</th>
                                      <th class="text-center align-middle" rowspan="2">NIP</th>
                                      <th class="text-center align-middle" rowspan="2">Pegawai</th>
                                      <th class="text-center align-middle" rowspan="2">Dasar Pemotongan</th>
                                      <th class="text-center align-middle" rowspan="2">Plafon</th>
                                      <th class="text-center align-middle" rowspan="2">Jangka Waktu</th>
                                      <th class="text-center align-middle" rowspan="2">Jatuh Tempo</th>
                                      <th class="text-center align-middle" colspan="4">Angsuran</th>
                                      <th class="text-center align-middle" rowspan="2">Saldo Akhir</th>
                                  </tr>
                                  <tr>
                                      <th class="text-center align-middle">Cicilan ke</th>
                                      <th class="text-center align-middle">Pokok</th>
                                      <th class="text-center align-middle">Bunga</th>
                                      <th class="text-center align-middle">Total</th>
                                  </tr>
                              </thead>
                              <tbody>
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <tr>
                                      <td class="text-center"><?php echo e($loop->iteration); ?></td>
                                      <td class="text-center"><?php echo e($d['nip']); ?></td>
                                      <td>
                                        <?php if($d['is_exist']): ?>  
                                          <?php echo e($d['pegawai']); ?>

                                          <p class="my-0">Alamat: <?php echo e($d['alamat']); ?></p>
                                        <?php else: ?>
                                          <p class="my-0 text-danger"><?php echo e($d['pegawai']); ?></p>
                                        <?php endif; ?>
                                        </td>
                                      <td><?php echo e($d['dasar_pemotongan']); ?></td>
                                      <td class="text-right"><?php echo e(number_format($d['plafon'],0,'','.')); ?></td>
                                      <td class="text-center"><?php echo e($d['jangka_waktu']); ?></td>
                                      <td class="text-center"><?php echo e(date('d F Y', strtotime($d['jatuh_tempo']))); ?></td>
                                      <td class="text-center"><?php echo e($d['cicilan_ke']); ?></td>
                                      <td class="text-right"><?php echo e(number_format($d['pokok'],0,'','.')); ?></td>
                                      <td class="text-right"><?php echo e(number_format($d['bunga'],0,'','.')); ?></td>
                                      <td class="text-right"><?php echo e(number_format($d['total'],0,'','.')); ?></td>
                                      <td class="text-right"><?php echo e(number_format($d['saldo_akhir'],0,'','.')); ?></td>
                                  </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                              </tbody>
                          </table>
                      </div>
                    </div>
                    <div class="card-footer d-flex justify-content-between">
                        <p class="my-2">Total data: <?php echo e(count($data)); ?></p>
                        <p class="my-2 text-success">Data Valid: <?php echo e($count['valid']); ?></p>
                        <p class="my-2 text-danger">Data Tidak Valid: <?php echo e($count['invalid']); ?></p>
                        <form id="store-form" action="<?php echo e(route('potongan.instansi.store')); ?>" method="POST">
                          <?php echo csrf_field(); ?>
                          <button id="btn-store" type="submit" class="btn btn-success btn-save" <?php echo e($count['invalid'] > 0 ? 'disabled' : ''); ?>>
                            <span class="cil-check-alt"></span> Simpan
                          </button>
                        </form>
                    </div>
                </div>
              </div>
            </div>
          </div>
          <?php endif; ?>
        </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<script>
    $(document).ready(function() {
      $("#tahun").select2({placeholder: "Pilih tahun", allowClear: true});
      $("#bulan").select2({placeholder: "Pilih bulan", allowClear: true});
      $("#jenis").select2({placeholder: "Pilih jenis", allowClear: true});
      $("#potongan_type_id").select2({placeholder: "Pilih jenis potongan", allowClear: true});
      $("#table").dataTable({
        "ordering": false
      });
      $("#btn-upload").click(function(){
        $(this).text("Loading...").prop('disabled', true);
        $("#import-form").submit();
      })
      $("#btn-store").click(function(){
        $(this).text("Loading...").prop('disabled', true);
        $("#store-form").submit();
      })
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/aryamaharta/Documents/Projects/tridatu/kegaji/resources/views/dashboard/instansi/input-potongan.blade.php ENDPATH**/ ?>